Bug 971137 - cakeStrap QuickStart does not work from web interface
cakeStrap QuickStart does not work from web interface
Status: CLOSED NOTABUG
Product: OpenShift Online
Classification: Red Hat
Component: Templates (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan McPherson
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 15:13 EDT by Adam Miller
Modified: 2015-05-14 22:23 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-06 10:49:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Miller 2013-06-05 15:13:40 EDT
Description of problem:
cakeStrap quickstart does not work


How reproducible:
Everytime

Steps to Reproduce:
1. Go to https://www.openshift.com/quickstarts/cakestrap and click "Deploy Now"
2. it will take you to the app creation page, give it a name and select "Create Application"

Actual results:
Error message shown on web console:
The initial build for the application failed. Last 10 kB of build output: httpd (no pid file) not running + '[' -z 127.12.96.2 ']' + RETRY=60 + '[' 60 -gt 0 ']' + for env_var in '$OPENSHIFT_HOMEDIR/.env/*' + . /var/lib/openshift/51af8b00e0b8cd4f400000d3//.env/CARTRIDGE_VERSION_2 ++ 2 /var/lib/openshift/51af8b00e0b8cd4f400000d3//.env/CARTRIDGE_VERSION_2: line 1: 2: command not found An error occurred executing 'gear postreceive' For more details about the problem, try running the command again with the '--trace' option.

Expected results:
Working web app


Additional info:
Comment 1 Dan McPherson 2013-06-06 10:49:17 EDT
This is a community maintained quickstart.  You can ask the maintainer to fix it or submit them a pull request.  In this case they cannot and should not source environment variables.  Any reason they had to do so should no longer exist.

Note You need to log in before you can comment on or make changes to this bug.